Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Mittellinien für Fräs-Taschen in Zeichnung per Makro

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Mittellinien für Fräs-Taschen in Zeichnung per Makro (175 mal gelesen)
Pietzonka
Mitglied
Maschinening.


Sehen Sie sich das Profil von Pietzonka an!   Senden Sie eine Private Message an Pietzonka  Schreiben Sie einen Gästebucheintrag für Pietzonka

Beiträge: 101
Registriert: 14.03.2006

Catia V5-6 R2016 SP5 Build Number 26
Win10 64 pro
HP Z440
Xeon CPU E5-1630 V3
128 GB

erstellt am: 10. Sep. 2019 11:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Sehr geehrte Catia-Gemeinde,

immer wieder sind Taschen zu bemaßen und dafür wäre es günstig, wenn ein Makro
eine Mittellinie zwischen zwei anzuklickenden Linien im vorzugebenden Quadranten erzeugt,
die Mittellinie fixiert,
die Strichstärke und Linienart anpasst und
die Linie beidseitig begrenzt.

Bisher bin ich schon am Auswählen der Linien der Tasche gescheitert. Damit stirbt natürlich auch die automtische Bemaßung.

Wie habt Ihr dieses Problem gelöst?

MfG Pietzonka

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10706
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 10. Sep. 2019 11:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Pietzonka 10 Unities + Antwort hilfreich

Servus

Bezieht sich deine Frage auf Mittellinien in der Zeichnung? (ggf Bild vom Problem)
Reicht da die "Achslinie" (Einfügen -> Aufbereiten -> Achsen und Gewinde -> Achslinie) nicht aus?

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Pietzonka
Mitglied
Maschinening.


Sehen Sie sich das Profil von Pietzonka an!   Senden Sie eine Private Message an Pietzonka  Schreiben Sie einen Gästebucheintrag für Pietzonka

Beiträge: 101
Registriert: 14.03.2006

Catia V5-6 R2016 SP5 Build Number 26
Win10 64 pro
HP Z440
Xeon CPU E5-1630 V3
128 GB

erstellt am: 10. Sep. 2019 12:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Taschen.jpg

 
Hallo Bernd!

In dem beigefügten Bildausschnitt sind die Taschen pink markiert, die gewünschten Mittellinien grün.
Die Krönung wären die Bemaßungen, wie z.B. 13 und 17 oder 9.

Schön, dass Du mein Problem aufgreifst!

MfG  Stephan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tberger
Mitglied
Application Manager CATIA V5 / V6


Sehen Sie sich das Profil von tberger an!   Senden Sie eine Private Message an tberger  Schreiben Sie einen Gästebucheintrag für tberger

Beiträge: 1385
Registriert: 13.01.2007

WIN 7 64bit
V5R21SP3HF49
3DX/V6 R2016x

erstellt am: 12. Sep. 2019 13:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Pietzonka 10 Unities + Antwort hilfreich

Hi,

du kannst das doch auch mit dem Befehl "Achslinie" direkt abgreifen.

Einfach den Befehl wählen und die parallelen Kanten anwählen für die Mittellinie.

Oder Kreiskante und angrenzende Linie für senkrechte Achslinie durch Kreismittelpunkt.

Das per Makro zu gestalten geht im Prinzip schon, erfordert aber da auch Zuarbeit des Users da es ohne Selektionen der benötigten Elemente nicht geht.

------------------
Grüße aus dem Thurgau
Thomas

+++++++++++++++++++++++++++++++++

CATIA - eine Laune der Natur ...

[Diese Nachricht wurde von tberger am 12. Sep. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Pietzonka
Mitglied
Maschinening.


Sehen Sie sich das Profil von Pietzonka an!   Senden Sie eine Private Message an Pietzonka  Schreiben Sie einen Gästebucheintrag für Pietzonka

Beiträge: 101
Registriert: 14.03.2006

Catia V5-6 R2016 SP5 Build Number 26
Win10 64 pro
HP Z440
Xeon CPU E5-1630 V3
128 GB

erstellt am: 17. Sep. 2019 11:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@ tberger:

Danke für diese Verbesserung!
Für eine Tasche möchte ich hintereinander die jeweils gegenüberliegenden Linien klicken.
Das Makro sieht dann so aus:

Sub CATMain()
  Linienpaar_Wahl()
  MsgBox("nächstes Linienpaar")
  Linienpaar_Wahl()
End Sub

Sub Linienpaar_Wahl()
'CATIA.StartCommand ("Symmetrielinie") 'Funktioniert
CATIA.StartCommand ("Achslinie") 'Funktioniert geeigneter
End Sub

Erstaunlich ist dabei, dass die Nachricht sofort angezeigt wird und ich nur einmal die Möglichkeit zur Auswahl von zwei Objekten bekomme.

MfG  Stephan

[Diese Nachricht wurde von Pietzonka am 18. Sep. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10706
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 17. Sep. 2019 11:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Pietzonka 10 Unities + Antwort hilfreich

Servus

Startcommands laufen nicht synchron zu einem Makro.
Bevor du den Startcommand erneut aufrufst müsstest du eine Userselection nach den Linien aufrufen.
Mir ist nicht bekannt, dass man die Achslinien direkte per API erzeugen kann.
Wenn du die Funktion "Achslinie" per Doppelklick aktivierst kannst du direkt beide Linien nacheinander erstellen ggf benötigst du dann kein Makro mehr.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz